namespace OF_DL.Services;

public interface ICajetanDbService : IDbService
{
    Task InitializeUserInfoTablesAsync();

    Task<Dictionary<string, long>> GetUsersAsync();
    Task UpdateUserInfoAsync(UserEntities.UserInfo? userInfo);
    Task UpdateNonNudeCollectionAsync(Dictionary<string, long> usersInNonNudeLists);
}
